Index: pacemaker/pengine/test10/params-5.exp
===================================================================
--- pacemaker.orig/pengine/test10/params-5.exp
+++ pacemaker/pengine/test10/params-5.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="23" operation="stop" operation_key="DcIPaddr_stop_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="127.0.0.20"/>
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -22,7 +22,7 @@
     <action_set>
       <rsc_op id="19" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
+        <attributes CRM_meta_on_node="c001n08" CRM_meta_on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -31,7 +31,7 @@
     <action_set>
       <rsc_op id="15" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
+        <attributes CRM_meta_on_node="c001n03" CRM_meta_on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -40,7 +40,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
+        <attributes CRM_meta_on_node="c001n01" CRM_meta_on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -49,7 +49,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="DcIPaddr_start_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="127.0.0.20"/>
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -71,7 +71,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="DcIPaddr_monitor_5000" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="16" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193">
         <primitive id="rsc_c001n08" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="21000"  ip="127.0.0.11"/>
+        <attributes CRM_meta_on_node="c001n03" CRM_meta_on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193" CRM_meta_op_target_rc="7" CRM_meta_timeout="21000"  ip="127.0.0.11"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -93,7 +93,7 @@
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="rsc_c001n08" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="21000"  ip="127.0.0.11"/>
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_op_target_rc="7" CRM_meta_timeout="21000"  ip="127.0.0.11"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -102,7 +102,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3">
         <primitive id="rsc_c001n08" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="21000"  ip="127.0.0.11"/>
+        <attributes CRM_meta_on_node="c001n01" CRM_meta_on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3" CRM_meta_op_target_rc="7" CRM_meta_timeout="21000"  ip="127.0.0.11"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -111,7 +111,7 @@
     <action_set>
       <rsc_op id="1" operation="monitor" operation_key="rsc_c001n08_monitor_5000" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b">
         <primitive id="rsc_c001n08" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_new_attr="some_value" CRM_meta_timeout="21000"  ip="127.0.0.11" new_attr="some_value"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_new_attr="some_value" CRM_meta_on_node="c001n08" CRM_meta_on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b" CRM_meta_timeout="21000"  ip="127.0.0.11" new_attr="some_value"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -120,7 +120,7 @@
     <action_set>
       <rsc_op id="28" operation="monitor" operation_key="rsc_c001n02_monitor_6000" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="rsc_c001n02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="6000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_interval="6000" CRM_meta_name="monitor" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -129,7 +129,7 @@
     <action_set>
       <rsc_op id="20" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b">
         <primitive id="rsc_c001n02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_on_node="c001n08" CRM_meta_on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -138,7 +138,7 @@
     <action_set>
       <rsc_op id="17" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193">
         <primitive id="rsc_c001n02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_on_node="c001n03" CRM_meta_on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -147,7 +147,7 @@
     <action_set>
       <rsc_op id="10" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3">
         <primitive id="rsc_c001n02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_on_node="c001n01" CRM_meta_on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -156,7 +156,7 @@
     <action_set>
       <rsc_op id="3" operation="cancel" operation_key="rsc_c001n02_monitor_5000" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="rsc_c001n02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_call_id="6" CRM_meta_interval="5000" CRM_meta_operation="monitor" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_call_id="6" CRM_meta_interval="5000" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_operation="monitor" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -165,7 +165,7 @@
     <action_set>
       <rsc_op id="21" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b">
         <primitive id="rsc_c001n03" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
+        <attributes CRM_meta_on_node="c001n08" CRM_meta_on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -174,7 +174,7 @@
     <action_set>
       <rsc_op id="13" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="rsc_c001n03" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -183,7 +183,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3">
         <primitive id="rsc_c001n03" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
+        <attributes CRM_meta_on_node="c001n01" CRM_meta_on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -192,7 +192,7 @@
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b">
         <primitive id="rsc_c001n01" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
+        <attributes CRM_meta_on_node="c001n08" CRM_meta_on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -201,7 +201,7 @@
     <action_set>
       <rsc_op id="18" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193">
         <primitive id="rsc_c001n01" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
+        <attributes CRM_meta_on_node="c001n03" CRM_meta_on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -210,7 +210,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="rsc_c001n01" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/params-6.exp
===================================================================
--- pacemaker.orig/pengine/test10/params-6.exp
+++ pacemaker/pengine/test10/params-6.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="331" operation="monitor" operation_key="vd01-b.cdev.ttc.prague.cz.vds-ok.com-vm_monitor_10000" on_node="v03-b" on_node_uuid="v03-b">
         <primitive id="vd01-b.cdev.ttc.prague.cz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="100" bootdev="network"  devices="netif:0,bridge,vlan1,00:16:3e:80:1f:d9,10.5.4.65;memballon;console;graphics;watchdog;" domain_name="vd01-b.cdev.ttc.prague.cz.vds-ok.com" domain_uuid="1d64858e-35e8-4be5-95c4-00d8a7801fd9" fencing_method="qpid" force_stop="1" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="20" vcpu_num="1" vcpu_policy="share"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="v03-b" CRM_meta_on_node_uuid="v03-b" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="100" bootdev="network"  devices="netif:0,bridge,vlan1,00:16:3e:80:1f:d9,10.5.4.65;memballon;console;graphics;watchdog;" domain_name="vd01-b.cdev.ttc.prague.cz.vds-ok.com" domain_uuid="1d64858e-35e8-4be5-95c4-00d8a7801fd9" fencing_method="qpid" force_stop="1" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="20" vcpu_num="1" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="336" operation="monitor" operation_key="vd01-d.cdev.ttc.prague.cz.vds-ok.com-vm_monitor_10000" on_node="v03-b" on_node_uuid="v03-b">
         <primitive id="vd01-d.cdev.ttc.prague.cz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="100" bootdev="network"  devices="netif:0,bridge,vlan1,00:16:3e:ef:13:04,10.5.4.67;memballon;console;graphics;watchdog;" domain_name="vd01-d.cdev.ttc.prague.cz.vds-ok.com" domain_uuid="570d45ea-24e0-46d9-b63c-6a398bef1304" fencing_method="qpid" force_stop="1" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="20" vcpu_num="1" vcpu_policy="share"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="v03-b" CRM_meta_on_node_uuid="v03-b" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="100" bootdev="network"  devices="netif:0,bridge,vlan1,00:16:3e:ef:13:04,10.5.4.67;memballon;console;graphics;watchdog;" domain_name="vd01-d.cdev.ttc.prague.cz.vds-ok.com" domain_uuid="570d45ea-24e0-46d9-b63c-6a398bef1304" fencing_method="qpid" force_stop="1" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="20" vcpu_num="1" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -21,7 +21,7 @@
     <action_set>
       <rsc_op id="92" operation="reload" operation_key="c5-x64-devel.vds-ok.com-vm_reload_0" on_node="v03-a" on_node_uuid="v03-a">
         <primitive id="c5-x64-devel.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_timeout="20000" arch="x86_64" blkio_weight="100" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,c5-x64-devel.vds-ok.com_disk0,51200;netif:0,bridge,vlan5,00:16:3e:46:c7:e2,10.5.0.11;netif:1,mcast,mcast-test,00:16:3e:46:c7:e3,;console;graphics;watchdog;" domain_name="c5-x64-devel.vds-ok.com" domain_uuid="2c4cc2df-eccc-4ef0-893f-516ff846c7e2" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="80" system_model="Development Server;1.0;DS-000100;00001" vcpu_num="4" vcpu_policy="share"/>
+        <attributes CRM_meta_on_node="v03-a" CRM_meta_on_node_uuid="v03-a" CRM_meta_timeout="20000" arch="x86_64" blkio_weight="100" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,c5-x64-devel.vds-ok.com_disk0,51200;netif:0,bridge,vlan5,00:16:3e:46:c7:e2,10.5.0.11;netif:1,mcast,mcast-test,00:16:3e:46:c7:e3,;console;graphics;watchdog;" domain_name="c5-x64-devel.vds-ok.com" domain_uuid="2c4cc2df-eccc-4ef0-893f-516ff846c7e2" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="80" system_model="Development Server;1.0;DS-000100;00001" vcpu_num="4" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -30,7 +30,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="c5-x64-devel.vds-ok.com-vm_monitor_10000" on_node="v03-a" on_node_uuid="v03-a">
         <primitive id="c5-x64-devel.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="100" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,c5-x64-devel.vds-ok.com_disk0,51200;netif:0,bridge,vlan5,00:16:3e:46:c7:e2,10.5.0.11;netif:1,mcast,mcast-test,00:16:3e:46:c7:e3,;console;graphics;watchdog;" domain_name="c5-x64-devel.vds-ok.com" domain_uuid="2c4cc2df-eccc-4ef0-893f-516ff846c7e2" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="80" system_model="Development Server;1.0;DS-000100;00001" vcpu_num="4" vcpu_policy="share"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="v03-a" CRM_meta_on_node_uuid="v03-a" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="100" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,c5-x64-devel.vds-ok.com_disk0,51200;netif:0,bridge,vlan5,00:16:3e:46:c7:e2,10.5.0.11;netif:1,mcast,mcast-test,00:16:3e:46:c7:e3,;console;graphics;watchdog;" domain_name="c5-x64-devel.vds-ok.com" domain_uuid="2c4cc2df-eccc-4ef0-893f-516ff846c7e2" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="80" system_model="Development Server;1.0;DS-000100;00001" vcpu_num="4" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/per-node-attrs.exp
===================================================================
--- pacemaker.orig/pengine/test10/per-node-attrs.exp
+++ pacemaker/pengine/test10/per-node-attrs.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="dummy_start_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="dummy" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="90000"  ip="127.0.0.1" netmask="32" nic="eth1"/>
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_timeout="90000"  ip="127.0.0.1" netmask="32" nic="eth1"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -22,7 +22,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="dummy_monitor_0" on_node="pcmk-3" on_node_uuid="103">
         <primitive id="dummy" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  ip="127.0.0.1" netmask="32" nic="eth0"/>
+        <attributes CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="103" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  ip="127.0.0.1" netmask="32" nic="eth0"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -31,7 +31,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="dummy_monitor_0" on_node="pcmk-2" on_node_uuid="102">
         <primitive id="dummy" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  ip="127.0.0.1" netmask="32" nic="eth2"/>
+        <attributes CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  ip="127.0.0.1" netmask="32" nic="eth2"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -40,7 +40,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="dummy_monitor_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="dummy" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  ip="127.0.0.1" netmask="32" nic="eth1"/>
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  ip="127.0.0.1" netmask="32" nic="eth1"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/placement-capacity.exp
===================================================================
--- pacemaker.orig/pengine/test10/placement-capacity.exp
+++ pacemaker/pengine/test10/placement-capacity.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/placement-location.exp
===================================================================
--- pacemaker.orig/pengine/test10/placement-location.exp
+++ pacemaker/pengine/test10/placement-location.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/placement-priority.exp
===================================================================
--- pacemaker.orig/pengine/test10/placement-priority.exp
+++ pacemaker/pengine/test10/placement-priority.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/placement-stickiness.exp
===================================================================
--- pacemaker.orig/pengine/test10/placement-stickiness.exp
+++ pacemaker/pengine/test10/placement-stickiness.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/probe-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/probe-1.exp
+++ pacemaker/pengine/test10/probe-1.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="4" operation="monitor" operation_key="DcIPaddr_monitor_5000" on_node="c001n05" on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="192.168.100.180"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="c001n05" CRM_meta_on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e" CRM_meta_timeout="20000"  ip="192.168.100.180"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -16,7 +16,7 @@
      <action_set>
       <rsc_op id="3" operation="start" operation_key="DcIPaddr_start_0" on_node="c001n05" on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="40000"  ip="192.168.100.180"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="c001n05" CRM_meta_on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e" CRM_meta_timeout="40000"  ip="192.168.100.180"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -29,7 +29,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n05" on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="192.168.100.180"/>
+        <attributes CRM_meta_on_node="c001n05" CRM_meta_on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="192.168.100.180"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/probe-timeout.exp
===================================================================
--- pacemaker.orig/pengine/test10/probe-timeout.exp
+++ pacemaker/pengine/test10/probe-timeout.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="rsc1_monitor_5000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="15000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="15000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="6" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -45,7 +45,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="15000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="15000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -54,7 +54,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="15000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="15000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -63,7 +63,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="rsc2_monitor_10000" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -76,7 +76,7 @@
     <action_set>
       <rsc_op id="10" operation="monitor" operation_key="rsc2_monitor_5000" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="15000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="15000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -89,7 +89,7 @@
     <action_set>
       <rsc_op id="9" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -105,7 +105,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="monitor" CRM_meta_op_target_rc="7" CRM_meta_timeout="25000" />
+        <attributes CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="25000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -114,7 +114,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="monitor" CRM_meta_op_target_rc="7" CRM_meta_timeout="25000" />
+        <attributes CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="25000" />
       </rsc_op>
     </action_set>
     <inputs/>
